Subject: Re: [PATCH v6 2/4] worktree add: refactor opt exclusion tests

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Dec 2022 19:07:28 +0900

Jacob Abel <[email-masked]> writes:

> Yes for these particular tests that should be acceptable. I tried putting an
> alternative together that still provides an avenue for handling quoted
> arguments without the helper [1]. Would this work?
>
> 1. https://lore.kernel.org/git/20221229063823.ij3jjuaar2fsayju@phi/

Do we even need to handle an argument with $IFS whitespaces in it in
these tests?  

If not, using "$@" where we pass the args to the commands we run,
and using "$*" where we merely use it for human readable messages,
would be sufficient.